View Issue Details

IDProjectCategoryView StatusLast Update
0016164LazarusIDEpublic2011-03-16 08:05
ReporterAlexander S. KleninAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.31 (SVN) 
Summary0016164: Object Inspector: wrong display of TBlobField.BlobType property
DescriptionDid not investigate deeper, looks like some kind of buffer overrun.
Steps To Reproduce1) Create TSQLQuery component
2) Open fields editor
3) Add new calculated field of type "Blob"
=>
"BlobType" property is displayed as garbage string in OI
TagsNo tags attached.
Fixed in Revision
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Activities

Paul Ishenin

2011-03-16 05:01

manager   ~0046633

Don't know where it is fixed - either somewhere in FPC or Lazarus but it display correct string and values in the combo.

Tested with fpc trunk + lazarus trunk.

Please test and close if ok.

Alexander S. Klenin

2011-03-16 08:05

developer   ~0046634

Indeed.

Issue History

Date Modified Username Field Change
2010-03-31 12:06 Alexander S. Klenin New Issue
2010-03-31 12:06 Alexander S. Klenin LazTarget => -
2010-03-31 12:06 Alexander S. Klenin Widgetset => Win32/Win64
2010-03-31 12:07 Alexander S. Klenin Summary Object Inspector: wrong display of TBlodBield.BlobType property => Object Inspector: wrong display of TBlobField.BlobType property
2010-10-29 15:35 Vincent Snijders LazTarget - => 1.0
2010-10-29 15:35 Vincent Snijders Status new => acknowledged
2010-10-29 15:35 Vincent Snijders Target Version => 1.0.0
2011-03-16 05:01 Paul Ishenin Status acknowledged => resolved
2011-03-16 05:01 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2011-03-16 05:01 Paul Ishenin Resolution open => fixed
2011-03-16 05:01 Paul Ishenin Assigned To => Paul Ishenin
2011-03-16 05:01 Paul Ishenin Note Added: 0046633
2011-03-16 08:05 Alexander S. Klenin Status resolved => closed
2011-03-16 08:05 Alexander S. Klenin Note Added: 0046634